## ros-indigo-dynamixel-driver 0.4.1

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(dynamixel_driver)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package(
    CATKIN_DEPENDS rospy diagnostic_msgs
)

install(PROGRAMS
  scripts/change_id.py
  scripts/info_dump.py
  scripts/set_servo_config.py
  scripts/set_torque.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-dynamixel-driver (0.4.1-0trusty) trusty; urgency=high

  * Don't set return delay time if value is invalid
  * Fix typo valie -> valid
  * Add EX-106, rename EX-106+ accordingly (Fixes #60 <https://github.com/arebgun/dynamixel_motor/issues/60>)
  * Merge pull request #49 <https://github.com/arebgun/dynamixel_motor/issues/49> from anuragmakineni/master
    remove Serial set/get functions from dynamixel_io
  * Update dynamixel_io.py
    In set_p_gain, set_i_gain, set_d_gain, small spelling mistake. Instead of 'slope', it should be p/i/d_gain, since slope is not defined for the given function.
  * remove deprecated functions from dynamixel_io
  * bug fixes for issue #33 <https://github.com/arebgun/dynamixel_motor/issues/33> and warnnings on queue_size
  * Adds couple of methods for LED status fetching and changing.
  * Catch occurancies when error_code is parsed as float
  * added in a queue size as none to remove warning messages
  * Readback echo for simple one-wire (TTL) converters
  * Support for reading current, setting acceleration, torque control mode (mainly MX series). Available features specified for each model.
  * New model MX-12W
  * fix typo ;; min -> max
  * Fix bug in velocity conversion
    The factor for the velocity conversion from raw to radsec and the other way
    round is model-specific and does not depend on the maximum motor speed.
    Therefore, a conversion factor is added to the motor data and employed
    for all velocity conversions. The set motor velocity and the motor velocity
    in the servo state does now correspond with the real servo speed in
    radians per second.
  * Contributors: Andreas Wachaja, Antons Rebguns, Anurag Makineni, Gabrielius Mickevicius, Nicolas Alt, Russell Toris, Stefan Kohlbrecher, Yam Geva, Zilvinas, nozawa, parijat10, pazeshun

 -- Antons Rebguns <arebgun@gmail.com>  Thu, 19 Jan 2017 07:00:00 -0000

ros-indigo-dynamixel-driver (0.4.0-0trusty) trusty; urgency=high

  * stack is now catkin compatible

 -- Antons Rebguns <arebgun@gmail.com>  Fri, 26 Jul 2013 06:00:00 -0000

=== debian/control ===
Source: ros-indigo-dynamixel-driver
Section: misc
Priority: extra
Maintainer: Antons Rebguns <arebgun@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/dynamixel_driver
Standards-Version: 3.9.2

Package: ros-indigo-dynamixel-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-indigo-diagnostic-msgs, ros-indigo-rospy
Description: This package provides low level IO for Robotis Dynamixel servos.
 Fully supports and was tested with AX-12, AX-18, RX-24, RX-28, MX-28, RX-64, EX-106 models. Hardware specific constants are defined for reading and writing information from/to Dynamixel servos. This low level package won't be used directly by most ROS users. The higher level dynamixel_controllers and specific robot joint controllers make use of this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-dynamixel-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
